import threading
import time
import sys

def AnimateBar(msg):
    barwidth = 10
    sprite = '...'
    idx = 0
    while stop != True:
        left = idx % barwidth
        right = barwidth - left - len(sprite)
        current_sprite = sprite
        if right < 0:
            current_sprite = sprite[:right]
        bar = ' [' + left * ' ' + current_sprite + right * ' ' + ']'
        print(msg + bar, end='\r')
        idx += 1
        time.sleep(0.3)
    print(msg + ' [OK]' + ' '*len(bar))

def StopProgressor():
    global t
    global stop
    stop = True
    t.join()

def StartProgressor(msg):
    global t
    global stop
    stop = False
    t = threading.Thread(target=AnimateBar, args=(msg,))
    t.start()